WTPOA-CNS(1)

NAME
wtpoa-cns - Consensuser for wtdbg using PO-MSA

SYNOPSIS
wtpoa-cns [options]

DESCRIPTION
WTPOA-CNS: Consensuser for wtdbg using PO-MSA Author: Jue Ruan <ruanjue@gmail.com> Version: 2.5 (20190621)

OPTIONS

-t <int>
    Number of threads, [4]

-d <string> Reference sequences for SAM input, will invoke sorted-SAM input mode

-u <int>
    XORed flags to handle SAM input. [0] 0x1: Only process reference regions present in/between SAM alignments 0x2: Don't fileter secondary/supplementary SAM records with flag (0x100 | 0x800)

-r  Force to use reference mode

-p <string> Similar with -d, but translate SAM into wtdbg layout file

-i <string> Input file(s) *.ctg.lay from wtdbg, +, [STDIN]

    Or sorted SAM files when having -d/-p

-o <string> Output files, [STDOUT]

-f  Force overwrite

-j <int>
    Expected max length of node, or say the overlap length of two adjacent units in layout file, [1500] bp overlap will be default to 1500(or 150 for sam-sr) when having -d/-p, block size will be 2.5 * overlap

-b <int>
    Bonus for tri-bases match, [0]

-M <int>
    Match score, [2]

-X <int>
    Mismatch score, [-5]

-I <int>
    Insertion score, [-2]

-D <int>
    Deletion score, [-4]

-H <float>
    Homopolymer merge score used in dp-call-cns mode, [-3]

-B <expr>
    Bandwidth in POA, [Wmin[,Wmax[,mat_rate]]], mat_rate = matched_bases/total_bases [64,1024,0.92] Program will double bandwidth from Wmin to Wmax when mat_rate is lower than setting

-W <int>
    Window size in the middle of the first read for fast align remaining reads, [200] If $W is negative, will disable fast align, but use the abs($W) as Band align score cutoff

-w <int>
    Min size of aligned size in window, [$W * 0.5]

-A  Abort TriPOA when any read cannot be fast aligned, then try POA

-S <int>
    Shuffle mode, 0: don't shuffle reads, 1: by shared kmers, 2: subsampling. [1]

-R <int>
    Realignment bandwidth, 0: disable, [16]

-c <int>
    Consensus mode: 0, run-length; 1, dp-call-cns, [0]

-C <int>
    Min count of bases to call a consensus base, [3]

-F <float>
    Min frequency of non-gap bases to call a consensus base, [0.5]

-N <int>
    Max number of reads in PO-MSA [20] Keep in mind that I am not going to generate high accurate consensus sequences here

-x <string> Presets, []

sam-sr: polishs contigs from short reads mapping, accepts sorted SAM files
    shorted for '-j 50 -W 0 -R 0 -b 1 -c 1 -N 50 -rS 2'

-q  Quiet

-v  Verbose

-V  Print version information and then exit

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.